<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="top">
                top
            </ui:define>

            <ui:define name="content">


                <p:fieldset legend="Cadastro Aluno">
                    <h:inputHidden value="#{alunoBean.aluno.id}" />
                    <p:panelGrid columns="3" id="painel">

                        <p:outputLabel value="Código" for="codigo" />
                        <p:inputText id="codigo" value="#{alunoBean.aluno.id eq 0 ? '' : alunoBean.aluno.id}" readonly="true" />
                        <p:message for="codigo" />

                        <p:outputLabel value="Nome:" for="nome" />
                        <p:inputText id="nome" value="#{alunoBean.aluno.nome}" required="true" />
                        <p:message for="nome" />

                        <p:outputLabel value="CPF:" for="cpf" />
                        <p:inputText id="cpf" value="#{alunoBean.aluno.cpf}" required="true" />
                        <p:message for="cpf" />


                        <p:outputLabel value="E-mail:" for="email" />
                        <p:inputText id="email" value="#{alunoBean.aluno.email}" required="false" />
                        <p:message for="email" />

                        <p:outputLabel value="Estado:" for="estado" />
                        <p:inputText id="estado" value="#{alunoBean.aluno.estado}" required="false" />
                        <p:message for="estado" />

                        <p:outputLabel value="Cidade:" for="cidade" />
                        <p:inputText id="cidade" value="#{alunoBean.aluno.cidade}" required="false" />
                        <p:message for="cidade" />

                        <p:outputLabel value="Endereço:" for="endereco" />
                        <p:inputText id="endereco" value="#{alunoBean.aluno.endereco}" required="false" />
                        <p:message for="endereco" />

                        <p:outputLabel value="Complemento:" for="complemento" />
                        <p:inputText id="complemento" value="#{alunoBean.aluno.complemento}" required="false" />
                        <p:message for="complemento" />

                        <p:outputLabel value="Número:" for="numero" />
                        <p:inputText id="numero" value="#{alunoBean.aluno.numero}" required="false" />
                        <p:message for="numero" />


                    </p:panelGrid>

                </p:fieldset>

                <p:commandButton value="Salvar" actionListener="#{alunoBean.salvar}" update="painel" />

                <p:commandButton value="Novo"  actionListener="#{alunoBean.novo}"  update="painel" />

            </ui:define>

            <ui:define name="bottom">
                bottom
            </ui:define>

        </ui:composition>

    </body>
</html>
